<!doctype html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.8.2/css/bulma.min.css">
  <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
  <link rel="stylesheet" href="/css/franklin.css">
  <link rel="stylesheet" href="/css/basic.css">
  <link rel="stylesheet" href="/css/style.css">
  <link rel="icon" href="/assets/favicon.png">
   <title>Formulario para crear cuestionarios Moodle</title>  
</head>
<body>
    <div class="hero is-white is-medium">
        <div class="hero-head">
            <nav class="navbar content is-white" aria-label="main navigator">
        <div class="navbar-brand">
            <a class="navbar-item" href="https://github.com.cnpmjs.org/dmolina/MoodleQuestions.jl">
                <img src="/assets/imgs/julia.png" width="100" height="62" alt="Julia logo">
                <img src="/assets/imgs/moodle.png" width="112" height="28" alt="Moodle logo">
            </a>
        </div>
        <div class="navbar-brand">
            <h1 class="title is-size-2-desktop is-size-3-touch is-size-7-mobile">Formulario <span class="is-hidden-mobile">para generar</span> Cuestionarios Moodle</h1>
        </div>
            </nav>
        </div>
    </div>
    <div class="content is-medium">
<!-- Content appended here -->
<div class="container"><p>Con la llegada del coronavirus, el uso de PRADO/Moodle se ha convertido en una herramienta imprescindible, especialmente para la realización de pruebas evaluables o de autoevaluación mediante el uso de Cuestionarios.</p>
<p>Para facilitar la creación de este tipo de cuestionarios al profesorado en general, esta página web permite generar, a partir de una sintaxis muy sencilla, ficheros que pueden importarse en PRADO como Bancos de preguntas &#40;como formato XMLMoodle&#41;. 
<div class="tabs is-medium">
<ul>
<li class="is-active"><a href="/">Formulario</a></li>
<li class=""><a href="/instrucciones/">Intrucciones</a></li>
<li class=""><a href="/ejemplos/">Ejemplos</a></li>
</ul>
</div>
</p>

<div class="field">
<form action="http://pradofacil.danimolina.net:8100/send" method="POST" id="send"
enctype="multipart/form-data"> 
<input type="hidden" name="language" value="es"/>
<h1 class="field subtitle is-4">Penalización por pregunta incorrecta</h1>
<div class="columns">
<div class="column is-two-quarters">
<div class="field is-horizontal">
<label class="field subtitle is-4">Pregunta opción múltiple &nbsp;&nbsp;</label>
  <div class="control">
      <div class="select">
      <select name="penalty_options" form="send">
        <option value="0" selected>0</option>
        <option value="0.25">0.25</option>
        <option value="0.33">0.33</option>
        <option value="0.5">0.5</option>
        <option value="0.75">0.75</option>
        <option value="1">1</option>
      </select>
    </div>
  </div>
</div>
</div>
<div class="column is-two-quarters">
<div class="field is-horizontal">
<label class="field subtitle is-4">&nbsp;&nbsp;&nbsp;Pregunta Verdadero/Falso&nbsp;&nbsp;</label>
  <div class="control">
    <div class="select">
      <select name="penalty_boolean">
        <option value="0" selected>0</option>
        <option value="0.25">0.25</option>
        <option value="0.33">0.33</option>
        <option value="0.5">0.5</option>
        <option value="0.75">0.75</option>
        <option value="1">1</option>
      </select>
    </div>
  </div>
</div>
</div>
</div>
<h1 class="subtitle is-4">Ponga aquí su texto</h1>
<div class="control">
    <textarea name="text" class="textarea is-medium"
              placeholder="Ponga aquí la descripción" rows="10" form="send"></textarea>
</div>
</div>
<div class="field is-grouped">
    <div class="control">
        <button type="submit" class="button is-link is-medium">Convertir</button>
    </div>
    <div class="control">
        <button class="button is-link is-light is-medium" type="reset">Cancelar</button>
    </div>
</div>
</form>
 
<h1 id="importación_del_fichero"><a href="#importación_del_fichero" class="header-anchor">Importación del fichero </a></h1>
<p>Tras el formulario se puede recibir un único fichero .XML o un zip con los distintos ficheros .XML, uno por cada categoría, que se deben de importir uno a uno en nuestro banco de preguntas, según el siguiente proceso:</p>
<ol>
<li><p>Ir al curso Moodle en donde lo queramos importar. </p>
</li>
<li><p>Ir a configuración del curso</p>
<p><img src="/assets/imgs/captura1.png" alt="paso 1" /></p>
</li>
<li><p>Escoger la opción de Importar dentro del banco de preguntas.</p>
<p><img src="/assets/imgs/captura2.png" alt="paso 2" /></p>
</li>
<li><p>Escoger importar en formato XML Moodle, arrastrar el fichero XML &#40;hay que hacerlo por cada uno&#41; y darle a importar.</p>
<p><img src="/assets/imgs/captura3.png" alt="paso 3" /></p>
</li>
</ol>
<footer class="footer">
<div class="content has-text-centerer">
    <div class="copyright">
        <p>
            <strong>Moodle Tools</strong> by <a href="https://dmolina.github.io">Daniel Molina</a>. The source code is licensed
            <a href="http://opensource.org/licenses/mit-license.php">MIT</a> at <a href="https://github.com.cnpmjs.org/dmolina/MoodleQuestions.jl" target="_blank">https://github.com.cnpmjs.org/dmolina/MoodleQuestions.jl</a>.
        </p>
        <p>The website content
            is licensed <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY NC SA 4.0</a>.
        </p>
 
    &copy; Daniel Molina. Last modified: August 26, 2022. Website built with <a href="https://github.com/tlienart/Franklin.jl">Franklin.jl</a>.
  </div>
</div>
</footer>
</div><!-- CONTENT ENDS HERE -->
</div>
  </body>
</html>
